commit:     02e8c5da797f9c28df724f941d6e11db50b0cdd9
Author:     NP-Hardass <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 11 18:49:13 2017 +0000
Commit:     NP Hardass <np-hardass <AT> gentoo <DOT> org>
CommitDate: Mon Dec 11 19:06:31 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02e8c5da

net-fs/openafs: Bump to 1.6.22

CVE: 2017-17432
Bug: https://bugs.gentoo.org/640536
Package-Manager: Portage-2.3.16, Repoman-2.3.6

 net-fs/openafs/Manifest              |   2 +
 net-fs/openafs/openafs-1.6.22.ebuild | 222 +++++++++++++++++++++++++++++++++++
 2 files changed, 224 insertions(+)

diff --git a/net-fs/openafs/Manifest b/net-fs/openafs/Manifest
index 37030b21fb3..89d0db3d5c1 100644
--- a/net-fs/openafs/Manifest
+++ b/net-fs/openafs/Manifest
@@ -6,5 +6,7 @@ DIST openafs-1.6.21-doc.tar.bz2 3532948 BLAKE2B 
03ad1a7ad0b81b7fde98a126c1bd629d
 DIST openafs-1.6.21-src.tar.bz2 14682997 BLAKE2B 
304a1ad57528f933dcf12d40b30325a58cbee21edfae5d043098cdf77b620fb321bcab01d28300ecc380486d87bb1925e2f030d9bd23afb58432fd0d0782736a
 SHA512 
451c38ed5031b8a962da3276bf5d0f1b74c5956c2d10cdb8bbd22ea633880ebf35cf5fc71feb5d2eca4306762f6c2376a46f4522150291acfc469f8be2da757f
 DIST openafs-1.6.21.1-doc.tar.bz2 3532980 BLAKE2B 
a50b7bfb04ffa81034d2bc9b92c2eacae6157d7f9604785877d617c443271d04e236e4c79470174ab9df284860a2bbcf41cecb90474fae091d7e0737bf5e444d
 SHA512 
97236d45153dd8f487caad2e5fff382dc63dd3c75270f58c8afd47145176255d1c7b454b366118543a168951066fd721c7dce506e123adf57d3db939129e6356
 DIST openafs-1.6.21.1-src.tar.bz2 14679991 BLAKE2B 
7c18dccb638ed24b33d188f9e58447135a06aed4cf1f4ce8d5c985f1efcb418d891187b4492f2f50111994801852db080c6dec4d0c5629771dcea3393f90add5
 SHA512 
a8c496657a59ee00411717aac8b6c4ca64f7ffeef400ae84ff902c8b2d81d19a367f78fbe105512ec7ec7181e8b0158fc359565eb99e2beb39d6a93ed1b28f98
+DIST openafs-1.6.22-doc.tar.bz2 3567926 BLAKE2B 
49c20ba0cf28cf567bbdbdd9f34bce504bfc90fe87d74bc9a1f30250a51802239ff9ee1286da5961fed50e84c71d311df7b3c11e393a10f58f88e4dc57773ca1
 SHA512 
6ae43aa86744b1a7879e583faea96ecbdf4dd6f9c4eb39040ca58217c63ae5bbf565cd70e48cddf870b8cb7623e923260a31559d7d1e22b4ef86922601aedd62
+DIST openafs-1.6.22-src.tar.bz2 14606745 BLAKE2B 
ee406ac0bc2f91862b916fe2c84bb5b1887b43bfb396a0d4b4d3349420b4af397344a2c4d585698fe6f3870fba2090df7b7da85431275b5d1c28b01168221557
 SHA512 
7a533462175e79aa48339c5105d2dbddde284e23e5d5bcff58a4893839fc7bcfdd779d1d65abfc5217b185624bf88fe1ef02d0c37d29b6ff96616e96f54a6d87
 DIST openafs-patches-20170212.tar.xz 11008 BLAKE2B 
6a51a849a61dbc8486a78ba44ced693f76dcb79f1db0131e82e81d16f66bee658b9604064b7c828545dcc4984d4c0f25c5972cf2e61c2036d1d093662068d539
 SHA512 
13e525a3f612b43318ad2fefaa3edf15ad572153494e94826815400f90a253678d2ade44d6adae08b1cb0dc8f311f5407f5aa540ed0df7a2d2d6024695bd917f
 DIST openafs-patches-20170822.tar.xz 11036 BLAKE2B 
e53d9e01c5808ca9876fd22f729e0e82cb0f6bc7c1f4875ad0607ac9d547e216c61cc2c3506eaafb7c81318958cd038c177e9e5b2c3728997d7f44e13bbbded4
 SHA512 
f4b574287bfe54881a70f3ccd4d4901b2f8f9ecbec7b3a4975b59050d5ef27c6de3da25f820b7b2b10f1a38034bb28e5c01ee094fb38cae80e244eeb04b29d0a

diff --git a/net-fs/openafs/openafs-1.6.22.ebuild 
b/net-fs/openafs/openafs-1.6.22.ebuild
new file mode 100644
index 00000000000..4ecf063fc89
--- /dev/null
+++ b/net-fs/openafs/openafs-1.6.22.ebuild
@@ -0,0 +1,222 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit autotools eutils flag-o-matic multilib pam systemd toolchain-funcs 
versionator
+
+MY_PV=$(delete_version_separator '_')
+MY_P="${PN}-${MY_PV}"
+PVER="20170822"
+
+DESCRIPTION="The OpenAFS distributed file system"
+HOMEPAGE="https://www.openafs.org/";
+# We always d/l the doc tarball as man pages are not USE=doc material
+[[ ${PV} == *_pre* ]] && MY_PRE="candidate/" || MY_PRE=""
+SRC_URI="
+       https://openafs.org/dl/openafs/${MY_PRE}${MY_PV}/${MY_P}-src.tar.bz2
+       https://openafs.org/dl/openafs/${MY_PRE}${MY_PV}/${MY_P}-doc.tar.bz2
+       https://dev.gentoo.org/~bircoph/afs/${PN}-patches-${PVER}.tar.xz
+"
+
+LICENSE="IBM BSD openafs-krb5-a APSL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+
+IUSE="bitmap-later debug doc fuse kerberos +modules ncurses pam pthreaded-ubik 
+supergroups"
+
+CDEPEND="
+       virtual/libintl
+       fuse? ( sys-fs/fuse )
+       kerberos? ( virtual/krb5 )
+       ncurses? ( sys-libs/ncurses:0= )
+       pam? ( virtual/pam )"
+
+DEPEND="${CDEPEND}
+       virtual/yacc
+       doc? (
+               app-text/docbook-xsl-stylesheets
+               dev-libs/libxslt
+       )"
+
+RDEPEND="${CDEPEND}
+       modules? ( ~net-fs/openafs-kernel-${PV} )"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=( "${WORKDIR}/gentoo/patches" )
+
+src_prepare() {
+       default
+
+       # fixing 2-nd level makefiles to honor flags
+       sed -i -r 's/\<CFLAGS[[:space:]]*=/CFLAGS+=/; 
s/\<LDFLAGS[[:space:]]*=/LDFLAGS+=/' \
+               src/*/Makefile.in || die '*/Makefile.in sed failed'
+
+       # packaging is f-ed up, so we can't run eautoreconf
+       # run autotools commands based on what is listed in regen.sh
+       eaclocal -I src/cf
+       eautoconf
+       eautoconf -o configure-libafs configure-libafs.ac
+       eautoheader
+       einfo "Deleting autom4te.cache directory"
+       rm -rf autom4te.cache
+}
+
+src_configure() {
+       local myconf
+       use debug && use pam && myconf="--enable-debug-pam"
+
+       AFS_SYSKVERS=26 \
+       econf \
+               --disable-kernel-module \
+               --disable-strip-binaries \
+               $(use_enable bitmap-later) \
+               $(use_enable debug) \
+               $(use_enable debug debug-lwp) \
+               $(use_enable fuse fuse-client) \
+               $(use_enable ncurses gtx) \
+               $(use_enable pam) \
+               $(use_enable pthreaded-ubik) \
+               $(use_enable supergroups) \
+               $(use_with doc html-xsl 
/usr/share/sgml/docbook/xsl-stylesheets/html/chunk.xsl) \
+               $(use_with kerberos krb5) \
+               "${myconf}"
+}
+
+src_compile() {
+       emake all_nolibafs
+       local d
+       if use doc; then
+               for d in doc/xml/{AdminGuide,QuickStartUnix,UserGuide}; do
+                       emake -C "${d}" html;
+               done
+       fi
+}
+
+src_install() {
+       local OPENRCDIR="${WORKDIR}/gentoo/openrc"
+       local SYSTEMDDIR="${WORKDIR}/gentoo/systemd"
+
+       emake DESTDIR="${ED}" install_nolibafs
+
+       insinto /etc/openafs
+       doins src/afsd/CellServDB
+       echo "/afs:/var/cache/openafs:200000" > "${ED}"/etc/openafs/cacheinfo
+       echo "openafs.org" > "${ED}"/etc/openafs/ThisCell
+
+       # pam_afs and pam_afs.krb have been installed in irregular locations, 
fix
+       if use pam ; then
+               dopammod "${ED}"/usr/$(get_libdir)/pam_afs*
+       fi
+       rm -f "${ED}"/usr/$(get_libdir)/pam_afs* || die
+
+       # remove kdump stuff provided by kexec-tools #222455
+       rm -rf "${ED}"/usr/sbin/kdump*
+
+       # avoid collision with mit_krb5's version of kpasswd
+       mv "${ED}"/usr/bin/kpasswd{,_afs} || die
+       mv "${ED}"/usr/share/man/man1/kpasswd{,_afs}.1 || die
+
+       # move lwp stuff around #200674 #330061
+       mv "${ED}"/usr/include/{lwp,lock,timer}.h "${ED}"/usr/include/afs/ || 
die
+       mv "${ED}"/usr/$(get_libdir)/liblwp* "${ED}"/usr/$(get_libdir)/afs/ || 
die
+       # update paths to the relocated lwp headers
+       sed -ri \
+               -e '/^#include <(lwp|lock|timer).h>/s:<([^>]*)>:<afs/\1>:' \
+               "${ED}"/usr/include/*.h \
+               "${ED}"/usr/include/*/*.h \
+               || die
+
+       # minimal documentation
+       use pam && doman src/pam/pam_afs.5
+       DOCS=( "${WORKDIR}/gentoo/README.Gentoo"
+                       src/afsd/CellServDB NEWS README )
+
+       # documentation package
+       if use doc ; then
+               DOCS+=( doc/{arch,examples,pdf,protocol,txt} )
+               dohtml -r doc/xml/
+       fi
+
+       einstalldocs
+
+       # Gentoo related scripts
+       newinitd "${OPENRCDIR}"/openafs-client.initd openafs-client
+       newconfd "${OPENRCDIR}"/openafs-client.confd openafs-client
+       newinitd "${OPENRCDIR}"/openafs-server.initd openafs-server
+       newconfd "${OPENRCDIR}"/openafs-server.confd openafs-server
+       systemd_dotmpfilesd "${SYSTEMDDIR}"/tmpfiles.d/openafs-client.conf
+       systemd_dounit "${SYSTEMDDIR}"/openafs-client.service
+       systemd_dounit "${SYSTEMDDIR}"/openafs-server.service
+       systemd_install_serviced "${SYSTEMDDIR}"/openafs-client.service.conf
+       systemd_install_serviced "${SYSTEMDDIR}"/openafs-server.service.conf
+
+       # used directories: client
+       keepdir /etc/openafs
+
+       # used directories: server
+       keepdir /etc/openafs/server
+       diropts -m0700
+       keepdir /var/lib/openafs
+       keepdir /var/lib/openafs/db
+       diropts -m0755
+       keepdir /var/lib/openafs/logs
+
+       # link logfiles to /var/log
+       dosym ../lib/openafs/logs /var/log/openafs
+}
+
+pkg_preinst() {
+       ## Somewhat intelligently install default configuration files
+       ## (when they are not present)
+       local x
+       for x in cacheinfo CellServDB ThisCell ; do
+               if [ -e "${EROOT}"/etc/openafs/${x} ] ; then
+                       cp "${EROOT}"/etc/openafs/${x} "${ED}"/etc/openafs/
+               fi
+       done
+}
+
+pkg_postinst() {
+       elog "This installation should work out of the box (at least the"
+       elog "client part doing global afs-cell browsing, unless you had"
+       elog "a previous and different configuration).  If you want to"
+       elog "set up your own cell or modify the standard config,"
+       elog "please have a look at the Gentoo OpenAFS documentation"
+       elog "(warning: it is not yet up to date wrt the new file locations)"
+       elog
+       elog "The documentation can be found at:"
+       elog "  https://wiki.gentoo.org/wiki/OpenAFS";
+       elog
+       elog "Systemd users should run emerge --config ${CATEGORY}/${PN} before"
+       elog "first use and whenever ${EROOT}/etc/openafs/cacheinfo is edited."
+}
+
+pkg_config() {
+       elog "Setting cache options for systemd."
+
+       
SERVICED_FILE="${EROOT}"/etc/systemd/system/openafs-client.service.d/00gentoo.conf
+       [ ! -e "${SERVICED_FILE}" ] && die "Systemd service.d file 
${SERVICED_FILE} not found."
+
+       CACHESIZE=$(cut -d ':' -f 3 "${EROOT}"/etc/openafs/cacheinfo)
+       [ -z ${CACHESIZE} ] && die "Failed to parse 
${EROOT}/etc/openafs/cacheinfo."
+
+       if [ ${CACHESIZE} -lt 131070 ]; then
+               AFSD_CACHE_ARGS="-stat 300 -dcache 100 -daemons 2 -volumes 50"
+       elif [ ${CACHESIZE} -lt 524288 ]; then
+               AFSD_CACHE_ARGS="-stat 2000 -dcache 800 -daemons 3 -volumes 70"
+       elif [ ${CACHESIZE} -lt 1048576 ]; then
+               AFSD_CACHE_ARGS="-stat 2800 -dcache 2400 -daemons 5 -volumes 
128"
+       elif [ ${CACHESIZE} -lt 2209715 ]; then
+               AFSD_CACHE_ARGS="-stat 3600 -dcache 3600 -daemons 5 -volumes 
196 -files 50000"
+       else
+               AFSD_CACHE_ARGS="-stat 4000 -dcache 4000 -daemons 6 -volumes 
256 -files 50000"
+       fi
+
+       # Replace existing env var if exists, else append line
+       grep -q "^Environment=\"AFSD_CACHE_ARGS=" "${SERVICED_FILE}" && \
+               sed -i 
"s/^Environment=\"AFSD_CACHE_ARGS=.*/Environment=\"AFSD_CACHE_ARGS=${AFSD_CACHE_ARGS}\"/"
 "${SERVICED_FILE}" || \
+               sed -i "$ a\Environment=\"AFSD_CACHE_ARGS=${AFSD_CACHE_ARGS}\"" 
"${SERVICED_FILE}" || \
+               die "Updating ${SERVICED_FILE} failed."
+}

Reply via email to